# Code Rules -- each line has the form:
#   Rule_Name : Value  [Severity]
# Value is 'On' or 'Off', or a number, as appropriate.
# Severity is 'Error', 'Warning', or 'Informational'.
# The default severity is 'Warning'.

Abort_Statement_In_Use:                         On
Ada95_Address_Clause_In_Use:                    On
Ada95_Mod_Clause_In_Use:                        On
Ada95_Numeric_Error_In_Use:                     On
Ada95_Private_Subtype_In_Constrained_Attr:      On
Ada95_Replacement_Char_In_Use:                  On
Ada95_Task_Subtype_In_Storage_Size_Attr:        On
Alignment_And_Component_Clause_In_Use:          On
Anonymous_Type_In_Use:                          On
Equal_Operator_Used_In_Real_Expression:         On
Exit_Statement_In_For_Or_While_Loop:            On
Global_Object_Declared:                         On
Goto_Statement_In_Use:                          On
If_Then_Exit_In_Use:                            On
Implicit_Parameter_Mode:                        On
Length_Clause_In_Use:                           On
Nested_Package_Specification:                   On
No_Constraint_For_Subtype:                      On
No_Loop_Name_For_Exit_Statement:                On
No_Named_Association_For_Aggregate:             On
No_Named_Association_For_Subprogram_Parameter:  On
No_Named_Association_For_Instantiation:         On
No_Names_For_Nested_Block:                      On
No_Names_For_Nested_Loop:                       On
Numeric_Literal_In_Use:                         On
Pragma_Pack_In_Use:                             On
Predefined_Name_As_Identifier:                  On
Redundant_Boolean_Expression:                   On
Standard_Type_In_Use:                           On
System_Constant_In_Use:                         On
System_Setting_Pragma_In_Use:                   On
Use_Clause_In_Use:                              On
Verbose_Discrete_Range_In_Use:                  On
When_Others_In_Case_Statement:                  On
When_Others_In_Exception_Handler:               On
When_Others_In_Variant_Record:                  On
