--+--------------------------------------------------------------------------+
--| Copyright 1992 - 2002 Rational Software Corporation. All Rights Reserved.|
--| This software contains proprietary and confidential information of       |
--| Rational and its suppliers. Use, disclosure or reproduction is           |
--| prohibited without the prior express written consent of Rational.        |
--+--------------------------------------------------------------------------+
--
with Ada.Command_Line;

with Tms_String_Utilities;

function Tms_Program_Name return String is
    Full_Name : constant String := Ada.Command_Line.Command_Name;
    Slash     : Natural         :=
       Tms_String_Utilities.Reverse_Locate ('/', Within => Full_Name);
begin
    return Full_Name (Slash + 1 .. Full_Name'Last);
end Tms_Program_Name;
